curl --request PUT \
--url https://v1.api.altostrat.io/control-plane/policies/{policyId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Branch Office Policy",
"trusted_networks": [
"10.100.0.0/16"
],
"winbox": {
"enabled": true,
"port": 8291,
"networks": [
"198.51.100.0/24"
]
},
"ssh": {
"enabled": true,
"port": 8291,
"networks": [
"198.51.100.0/24"
]
},
"http": {
"enabled": true,
"port": 8291,
"networks": [
"198.51.100.0/24"
]
},
"https": {
"enabled": true,
"port": 8291,
"networks": [
"198.51.100.0/24"
]
},
"telnet": {
"enabled": true,
"port": 8291,
"networks": [
"198.51.100.0/24"
]
},
"ftp": {
"enabled": true,
"port": 8291,
"networks": [
"198.51.100.0/24"
]
},
"api": {
"enabled": true,
"port": 8291,
"networks": [
"198.51.100.0/24"
]
},
"api_ssl": {
"enabled": true,
"port": 8291,
"networks": [
"198.51.100.0/24"
]
},
"custom_input_rules": true,
"sites": [
"d290f1ee-6c54-4b01-90e6-d701748f0851"
]
}
'import requests
url = "https://v1.api.altostrat.io/control-plane/policies/{policyId}"
payload = {
"name": "Branch Office Policy",
"trusted_networks": ["10.100.0.0/16"],
"winbox": {
"enabled": True,
"port": 8291,
"networks": ["198.51.100.0/24"]
},
"ssh": {
"enabled": True,
"port": 8291,
"networks": ["198.51.100.0/24"]
},
"http": {
"enabled": True,
"port": 8291,
"networks": ["198.51.100.0/24"]
},
"https": {
"enabled": True,
"port": 8291,
"networks": ["198.51.100.0/24"]
},
"telnet": {
"enabled": True,
"port": 8291,
"networks": ["198.51.100.0/24"]
},
"ftp": {
"enabled": True,
"port": 8291,
"networks": ["198.51.100.0/24"]
},
"api": {
"enabled": True,
"port": 8291,
"networks": ["198.51.100.0/24"]
},
"api_ssl": {
"enabled": True,
"port": 8291,
"networks": ["198.51.100.0/24"]
},
"custom_input_rules": True,
"sites": ["d290f1ee-6c54-4b01-90e6-d701748f0851"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Branch Office Policy',
trusted_networks: ['10.100.0.0/16'],
winbox: {enabled: true, port: 8291, networks: ['198.51.100.0/24']},
ssh: {enabled: true, port: 8291, networks: ['198.51.100.0/24']},
http: {enabled: true, port: 8291, networks: ['198.51.100.0/24']},
https: {enabled: true, port: 8291, networks: ['198.51.100.0/24']},
telnet: {enabled: true, port: 8291, networks: ['198.51.100.0/24']},
ftp: {enabled: true, port: 8291, networks: ['198.51.100.0/24']},
api: {enabled: true, port: 8291, networks: ['198.51.100.0/24']},
api_ssl: {enabled: true, port: 8291, networks: ['198.51.100.0/24']},
custom_input_rules: true,
sites: ['d290f1ee-6c54-4b01-90e6-d701748f0851']
})
};
fetch('https://v1.api.altostrat.io/control-plane/policies/{policyId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "a1b2c3d4-e5f6-7890-1234-567890abcdef",
"name": "Default Corporate Policy",
"slug": "default-corporate-policy-a1b2c3d4e5",
"default": true,
"custom_input_rules": true,
"trusted_networks": [
"10.0.0.0/8"
],
"winbox": {
"enabled": true,
"port": 8291,
"networks": [
"198.51.100.0/24"
]
},
"ssh": {
"enabled": true,
"port": 8291,
"networks": [
"198.51.100.0/24"
]
},
"http": {
"enabled": true,
"port": 8291,
"networks": [
"198.51.100.0/24"
]
},
"https": {
"enabled": true,
"port": 8291,
"networks": [
"198.51.100.0/24"
]
},
"telnet": {
"enabled": true,
"port": 8291,
"networks": [
"198.51.100.0/24"
]
},
"ftp": {
"enabled": true,
"port": 8291,
"networks": [
"198.51.100.0/24"
]
},
"api": {
"enabled": true,
"port": 8291,
"networks": [
"198.51.100.0/24"
]
},
"api_ssl": {
"enabled": true,
"port": 8291,
"networks": [
"198.51.100.0/24"
]
},
"sites": [
"d290f1ee-6c54-4b01-90e6-d701748f0851"
],
"created_at": "2025-10-29T01:00:00Z",
"updated_at": "2025-10-29T02:30:00Z"
}{
"type": "invalid_request_error",
"code": "parameter_missing",
"message": "The 'name' parameter is required for this request.",
"doc_url": "https://docs.altostrat.io/errors/parameter_missing"
}{
"type": "invalid_request_error",
"code": "parameter_missing",
"message": "The 'name' parameter is required for this request.",
"doc_url": "https://docs.altostrat.io/errors/parameter_missing"
}{
"type": "invalid_request_error",
"code": "parameter_missing",
"message": "The 'name' parameter is required for this request.",
"doc_url": "https://docs.altostrat.io/errors/parameter_missing"
}{
"type": "invalid_request_error",
"code": "parameter_missing",
"message": "The 'name' parameter is required for this request.",
"doc_url": "https://docs.altostrat.io/errors/parameter_missing"
}Update a policy
Updates the specified policy by setting the values of the parameters passed. Any parameters not provided will be left unchanged.
Authorizations
Enter your JWT bearer token.
Path Parameters
The unique identifier for the policy.
"a1b2c3d4-e5f6-7890-1234-567890abcdef"
Body
A human-readable name for the policy.
100"Branch Office Policy"
A list of CIDR networks that are considered trusted across all services in this policy.
A valid IPv4 CIDR notation.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Whether custom input rules are being used.
true
An array of Site UUIDs to apply this policy to upon creation or update.
["d290f1ee-6c54-4b01-90e6-d701748f0851"]
Response
The updated policy object.
The unique identifier for the policy.
"a1b2c3d4-e5f6-7890-1234-567890abcdef"
A human-readable name for the policy.
"Default Corporate Policy"
A unique, URL-friendly identifier for the policy.
"default-corporate-policy-a1b2c3d4e5"
Whether this is the default policy for the workspace.
true
Whether custom input rules are being used.
true
A list of CIDR networks that are considered trusted across all services in this policy.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
A list of Site UUIDs that this policy is applied to.
["d290f1ee-6c54-4b01-90e6-d701748f0851"]
The timestamp when the policy was created.
"2025-10-29T01:00:00Z"
The timestamp when the policy was last updated.
"2025-10-29T02:30:00Z"
Was this page helpful?